
Core - Feature # 48182

Status: Closed Priority: Should have
Author: Frans Saris Category: File Abstraction Layer (FAL)
Created: 2013-05-14 Assigned To:
Updated: 2013-08-07 Due date:
PHP Version:
Complexity: medium
Sprint Focus:
Subject: File-Indexer doesn't flag missing files as deleted
Description

De fileindexer doesn't flag missing files as deleted.
Now when a file is deleted from fileadmin directory (for example through ftp):
    -  file isn't visual anymore in BE Filelist
    -  Because it isn't visual you can not set it as deleted by hand.
    -  for all plugins and references it is still present because deleted flag isn't set

Related issues:
related to Core - Bug # 48336: sys_file record doesn't get flagged as delete ... Rejected 2013-05-17
related to Core - Task # 50876: Handling of deleted files in FAL New 2013-08-06

History
#1 - 2013-05-17 05:39 - Philipp Gampe
- Category set to File Abstraction Layer (FAL)
- Complexity set to medium

#2 - 2013-07-09 22:30 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22168

#3 - 2013-07-09 22:45 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22168

#4 - 2013-08-07 15:00 - Frans Saris

This issue can be closed in favor of #50876

#5 - 2013-08-07 19:21 - Wouter Wolters
- Status changed from Under Review to Closed
